# Uses of Class
org.apache.zookeeper.server.quorum.QuorumCnxManager.Message

Packages that use QuorumCnxManager.Message
Package
Description
org.apache.zookeeper.server.quorum

## Uses of QuorumCnxManager.Message in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum with type parameters of type QuorumCnxManager.Message
Modifier and Type
Field
Description
`final BlockingQueue<QuorumCnxManager.Message>`
QuorumCnxManager.`recvQueue`
Methods in org.apache.zookeeper.server.quorum that return QuorumCnxManager.Message
Modifier and Type
Method
Description
`QuorumCnxManager.Message`
QuorumCnxManager.`pollRecvQueue(long timeout, TimeUnit unit)`
Retrieves and removes a message at the head of this queue, waiting up to the specified wait time if necessary for an element to become available.
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumCnxManager.Message
Modifier and Type
Method
Description
`void`
QuorumCnxManager.`addToRecvQueue(QuorumCnxManager.Message msg)`
Inserts an element in the `QuorumCnxManager.recvQueue`.